Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Oct 2018 11:23:14 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 19 Oct 2018 09:26:28 +0200
> 
> In favour of putting it on emacs-26 is that it resolves the spewing of
> 
> Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion
> 'extra_space >= 0' failed
> 
> when I run emacs with GDK scaling.

Thanks.  I understand the advantages of the changeset, what I'm not
sure about is whether these advantages outweigh the danger in putting
such non-trivial changes on the release branch.  The glitches reported
by you and others just in the last two days seem to indicate that we
will be in for more surprises, don't you think?